searchData={"items":[{"type":"module","title":"Oban.Notifiers.Phoenix","doc":"An [Oban.Notifier][no] that uses [Phoenix.PubSub][pp] for notifications.\n\nThe `Phoenix` notifier allows Oban to share a Phoenix application's `PubSub` for notifications. In\naddition to centralizing PubSub communications, it opens up the possible transports to all PubSub\nadapters.\n\nMost importantly, as Oban already provides `Postgres` and `PG` notifiers, this package enables\nRedis notifications via the [Phoenix.PubSub.Redis][pr] adapter.\n\n[no]: https://hexdocs.pm/oban/Oban.Notifier.html\n[pp]: https://hexdocs.pm/phoenix_pubsub/Phoenix.PubSub.html\n[pr]: https://hex.pm/packages/phoenix_pubsub_redis","ref":"Oban.Notifiers.Phoenix.html"},{"type":"module","title":"Usage - Oban.Notifiers.Phoenix","doc":"This package requires a minimum of Oban v2.17 for a few enhancements:\n\n```elixir\ndefp deps do\n  [\n    {:oban_notifiers_phoenix, \"~> 0.1\"},\n    ...\n  ]\nend\n```\n\nMake note of your application's `Phoenix.PubSub` instance name from the primary supervision tree:\n\n```elixir\ndef start(_type, _args) do\n  children = [\n    {Phoenix.PubSub, name: MyApp.PubSub},\n    ...\n```\n\nFinally, configure Oban to use `Oban.Notifiers.Phoenix` as the notifier with the `PubSub`\nintance name as the `:pubusb` option:\n\n```elixir\nconfig :my_app, Oban,\n  notifier: {Oban.Notifiers.Phoenix, pubsub: MyApp.PubSub},\n...\n```","ref":"Oban.Notifiers.Phoenix.html#module-usage"}],"content_type":"text/markdown"}